20.04.2018, 01:05 UTC+2

Sie sind nicht angemeldet.

  • Anmelden
  • Registrieren

Lieber Besucher, herzlich willkommen bei: Knoppix Forum | www.KnoppixForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

11.11.2009, 04:25

Wie VLC installieren? - apt-get install vlc und dann?

Hab Knoppix auf SD installiert und möchte einen VLC-Media-Stream empfangen (Knoppix-Laptop)

Ich versuchte vlc zu installieren und bekam die Fehlermeldung:
http://img38.imageshack.us/img38/494...hirmfotomw.png

Dann hab ich apt-get install -y vlc-nox probiert mit diesem Resultat:

Zitat


vlc-nox:
Hängt ab: libavformat52 (>=3:0.svn20090303-1) aber 0.svn20080206-16 wird installiert oder
libavformat-extra-52 (>=3:0.svn20090303-1) aber es kann nicht installiert werden
Hängt ab: libpostproc51 (>=3:0.svn20090303-1) aber 0.svn20080206-16 wird installiert oder
libpostproc-extra-51 (>=3:0.svn20090303-1) aber es kann nicht installiert werden
Hängt ab: libswscale0 (>=3:0.svn20090303-1) aber 0.svn20080206-16 wird installiert oder
libswscale-extra-0 (>=3:0.svn20090303-1) aber es kann nicht installiert werden
Hängt ab: libxml2 (>=2.7.4) aber 2.6.32.dfsg-5 wird installiert


Ich weis nicht weiter, wie kann man VLC installieren?

2

11.11.2009, 06:42

Hi,

versuch erst ein:

apt-get update

dann

apt-get install vlc

Wenn Dein System zu alt ist, kann es zu Fehlermeldungen kommen, weil die neuen Pakete andere Abhängigkeiten erwarten.
Das könnte man mit einem "apt-get update und dann "apt-get dist-upgrade" aktualisieren. Aber hier kommt man an den Punkt
, warum Knoppix ein Live-System ist..... ein dist-upgrade kann schon mal schief gehen...........

Gruß Guido

3

11.11.2009, 18:18

[quote='guido',index.php?page=Thread&postID=26438#post26438]Hi,
apt-get update
apt-get install vlc

Wenn Dein System zu alt ist, kann es zu Fehlermeldungen kommen, weil die neuen Pakete andere Abhängigkeiten erwarten.
Gruß Guido[/quote]

Hi! - Das mit dem apt-get update hab ich vergessen zu erwähnen, aber ich habe es auch gemacht.
System zu alt? - Hardware oder Software?
Als Software habe ich die letzte Knoppix-Version geladen. (Knoppix v6.0.1 CD-2009-02-08-DE)
Hardware:
Laptop: Dell Latidude D600

Die Windows-Version von VLC läuft auf dem Teil doch auch ;(

Beiträge: 711

Geschlecht: Männlich

4

11.11.2009, 19:25

Probiere es doch mal bitte folgendermaßen:

Quellcode

1
2
3
4
apt-get update
apt-get install libavformat52
apt-get install vlc-nox
apt-get install vlc

Die Befehle habe ich mit der Synaptic-Paketverwaltung ermittelt.
MfG. Cottonwood.

5

12.11.2009, 06:33

Hi,

mit zu alt meinte ich die Pakete (Software).

@ Cottonwood Eigentlich sollte apt die Abhängigkeiten selbst lösen und alle erforderlichen Pakete installieren.

Gruß Guido

Beiträge: 711

Geschlecht: Männlich

6

12.11.2009, 14:11

Eigentlich sollte apt die Abhängigkeiten selbst lösen und alle erforderlichen Pakete installieren.


So ist das halt mit "eigentlich". Wenn man vlc installieren will, dann kommt erst eine Liste, was er auflösen kann. Danach kommt dann aber ein Hinweis auf das, was er nicht auflösen kann.
[attach]375[/attach]

Ich habe dann mit vlc-nox weiter gemacht und da kam dann dieses:
[attach]376[/attach]

Und dann habe ich es einfach mit dem obersten Eintrag weiter probiert (libavformat52) und dann liess sich alles auflösen.
MfG. Cottonwood.

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »Cottonwood« (12.11.2009, 14:58)


7

15.11.2009, 08:22

Vilen Dank!
Bei mir geht es jetzt. Hab noch nen 8Gb Stick besorgt, weil die 2 nicht ausreichten. War noch ne Andere Abhängigkeit nach dem selben Schema bei mir aufzulösen und dann lief VLC :-)

Linux HardwareLinux Computer & PCs | Linux Notebooks & Laptops | Geek Shirts | Geek und Nerd Shirt Shop